API ReferenceParticipants
Retrieve participants
Roles
admindts-provider
Analytics Events
ECOSYSTEM_PARTICIPANT_RETRIEVE_LIST_STARTECOSYSTEM_PARTICIPANT_RETRIEVE_LIST_SUCCESSECOSYSTEM_PARTICIPANT_RETRIEVE_LIST_FAIL
GET
/v1/ecosystems/{ecosystemId}/participantsRetrieves a list of participants from the requested ecosystem.
Analytic events
- ECOSYSTEM_PARTICIPANT_RETRIEVE_LIST_START
- ECOSYSTEM_PARTICIPANT_RETRIEVE_LIST_SUCCESS
- ECOSYSTEM_PARTICIPANT_RETRIEVE_LIST_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
ecosystemId*string
The UUID of the ecosystem
Format
uuidQuery Parameters
limit?number
Range size of returned list.
Range
1 <= value <= 1000Default
100cursor?string
Starting point for the list of entries.
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/ecosystems/497f6eca-6276-4993-bfeb-53cbbbba6f08/participants"{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "ecosystemId": "e2e92b49-5a4f-4804-83c0-325e709d9dcd", "name": "string", "identifiers": { "web-semantic": "string", "compact-semantic": "string", "compact": "string", "mobile": [ { "certificatePem": "string", "status": "Active", "docTypes": [ "string" ] } ] }, "isIssuer": false, "isVerifier": false, "isIssuerConstrained": true, "isVerifierConstrained": true, "status": "Active", "country": "string", "stateOrProvince": "string", "organizationAddress": "string", "organizationPhoneNumber": "string" } ], "nextCursor": "string"}How would you rate this page?
Create participant POST
Creates a participant in the requested ecosystem. ### **Analytic events** * ECOSYSTEM_PARTICIPANT_CREATE_START * ECOSYSTEM_PARTICIPANT_CREATE_SUCCESS * ECOSYSTEM_PARTICIPANT_CREATE_FAIL
Retrieve participant GET
Retrieves a participant from the requested ecosystem by its ID. ### **Analytic events** * ECOSYSTEM_PARTICIPANT_RETRIEVE_START * ECOSYSTEM_PARTICIPANT_RETRIEVE_SUCCESS * ECOSYSTEM_PARTICIPANT_RETRIEVE_FAIL